org.apache.http.impl

## Class ConnSupport

- java.lang.Object
- - org.apache.http.impl.ConnSupport

    public final class ConnSupport
    extends Object

Connection support methods.

Since:
  4.3

### Constructor Summary

Constructors
Constructor and Description
`ConnSupport()`

### Method Summary

Methods
`static CharsetDecoder` `createDecoder(ConnectionConfig cconfig)`
`static CharsetEncoder` `createEncoder(ConnectionConfig cconfig)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConnSupport

    public ConnSupport()

### Method Detail

#### createDecoder

    public static CharsetDecoder createDecoder(ConnectionConfig cconfig)

#### createEncoder

    public static CharsetEncoder createEncoder(ConnectionConfig cconfig)